Get Asset

Retrieve a specific asset by ID.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

idstringRequired
A unique identifier for an asset.

Response

Asset retrieved successfully
idstring
A unique identifier for an asset.
createdAtdatetime
The date and time the asset was created.
updatedAtdatetime
The date and time the asset was last updated.
typeenum
The type of asset file.
visibilityenum
Visibility scope for the asset.
namestringOptional
The filename of the asset.
urlstringOptional
The URL to access the asset media.
sizelongOptional
File size in bytes.
formatstringOptional

File format/extension (e.g., “mp4”, “wav”).

inputTypeenumOptional
The source type of the asset.
durationSecondsdoubleOptional

Duration of the media in seconds (for audio/video).

thumbnailUrlstringOptional
URL to the asset's thumbnail image.
widthintegerOptional

Width in pixels (for video/image).

heightintegerOptional

Height in pixels (for video/image).

projectIdstringOptional
The id of the project this asset is attached to, or null when it belongs to no project.

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error